[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator +(Tmatrix4_single, single): Tmatrix4_single

Add scalar to four-dimensional single precision matrix

## Declaration

Source position: matrix.pp line 589

`operator operator +(Tmatrix4_single, single): Tmatrix4_single(`
`const m: Tmatrix4_single;`
`const x: single`
`):Tmatrix4_single;`

## Description

This operator allows you to add a scalar value to a matrix. The scalar is added to all elements of the matrix, the result is returned as a new vector.

Documentation generated on: Feb 26 2014